subsceneInfo {rgl} | R Documentation

## Get information on subscenes

### Description

This function retrieves information about the tree of subscenes shown in the active window.

### Usage

    subsceneInfo(id = NA, embeddings, recursive = FALSE)

### Arguments

`id` | Which subscene to report on; `NA` is the current subscene. Set to `"root"` for the root.
`embeddings` | Optional new setting for the embeddings for this subscene.
`recursive` | Whether to report on children recursively.

### Details

In rgl, each window contains a tree of “subscenes”, each containing views of a subset of the objects defined in the window.

Rendering in each subscene depends on the viewport, the projection, and the model transformation. Each of these characteristics may be inherited from the parent (`embedding[i] = "inherit"`), may modify the parent (`embedding[i] = "modify"`), or may replace the parent (`embedding[i] == "replace"`). All three must be specified if `embeddings` is used.

### Value

`id` | The object id of the subscene
`parent` | The object id of the parent subscene, if any
`children` | If `recursive`, a list of the information for the children, otherwise just their object ids.
`embedding` | A vector of 3 components describing how this subscene is embedded in its parent.

### Author(s)

Duncan Murdoch

### See Also

`newSubscene3d`

### Examples

    example(plot3d)
    subsceneInfo()

[Package rgl version 0.99.16 Index]